<template>
<div class="flex w-full items-center group hover:text-primary-500">
  <Checkbox v-bind="attrs" :modelValue="attrs.modelValue ?? attrs.value">
  </Checkbox>
  <div class="flex w-full cursor-pointer overflow-hidden">
    <label 
      :for="attrs.inputId" 
      :class="['pl-[14px] flex items-center w-full cursor-pointer', props.isSelected ? 'font-bold text-primary-500' : '']"
      
    >
      <slot name="leftIcon" :icon="label"></slot>
      <span class="truncate mr-2">{{props.label}}</span>
      <Tag 
        :class="['ml-auto !text-xs', props.isSelected ? '!text-primary-500' : 'group-hover:text-primary-500']" 
        severity="secondary"
      >
        {{props.count}}
      </Tag>
    </label>
    
  </div>
</div>
</template>

<script setup>
import Checkbox from 'primevue/checkbox';
import { useAttrs } from 'vue';

const attrs = useAttrs();

const props = defineProps({
  label: "",
  count: 0,
  isSelected: false,
})
</script>
<style lang="scss">
//TODO: Change this in preset once PrimeVue has a token to change the border width
.p-checkbox-box {
  border-width: 2px !important;
}
</style>